package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.DisponibilitaAsserts.*;
import static it.sw.pa.comune.artegna.domain.DisponibilitaTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class DisponibilitaMapperTest {

    private DisponibilitaMapper disponibilitaMapper;

    @BeforeEach
    void setUp() {
        disponibilitaMapper = new DisponibilitaMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getDisponibilitaSample1();
        var actual = disponibilitaMapper.toEntity(disponibilitaMapper.toDto(expected));
        assertDisponibilitaAllPropertiesEquals(expected, actual);
    }
}
